function X_out = DNewt(x,P,T)

Tc= 304.2;
Pc= 73.825;
Tr=T/Tc;
Pr=P/Pc;


EPS=1.0d-8;
L = 60;

[F,dF] = F_duan_v(x,Tr,Pr);
x1 = x-F/dF;
iter=0;
while ((abs(x1-x)>=EPS)  || (abs(F) >= EPS) ) && (iter < 1000)
    x = x1;
    [F,dF] = F_duan_v(x1,Tr,Pr);
    x1 = x1-F/dF;
    iter=iter+1;
end
X_out = x1;







